Subject: Re: [PATCH] selftests: add a generic testsuite for ethernet device

From: Andrew Lunn <[email-masked]>
Date: Tue, 4 Apr 2017 14:22:58 +0200

On Tue, Apr 04, 2017 at 09:56:04AM +0200, Corentin Labbe wrote:
> On Mon, Apr 03, 2017 at 03:27:41PM +0200, Andrew Lunn wrote:
> > > By ifnum, you mean by the order that "ip link" gives ?
> > 
> > I've not checked if it remains in order as interfaces are hot
> > plugged/unplugged. But i guess you are running tests direct after
> > boot, and unplugs/replugs are unlikely?
> > 
> 
> Yes the ideal run is just after boot, but the test need to succeed in all case.
> 
> For handling vlan, I think the best way is to detect the master interface by looking the "@master".

Hi Corentin

In my case, these are DSA interfaces. Documentation/networking/dsa/dsa.txt

> So when testing a vlan interface, the test would just up also the masteri interface.

That will work for DSA. 

I know kernelci.org has at least two boards with Ethernet switches
that will have such interfaces. So it is great to test them.

Thanks
     Andrew